Subject: bug#37189: 25.4.1: vc-hg-ignore implementation is missing

From: Wolfgang Scherer <[email-masked]>
Date: Sun, 23 Feb 2020 01:29:31 +0100

Am 23.02.20 um 00:58 schrieb Dmitry Gutov:
> On 23.02.2020 0:00, Wolfgang Scherer wrote:
>
>>>> RCS, SCCS do not have ignore files, so they should error out. SRC has
>>>> ignore files similar to CVS and SVN.
>>>
>>> They will fail anyway because they implement neither 'find-ignore-file' nor the 'ignore' backend actions.
>> This is in reference to the condition-case around find-ignore-file, which is not necessary. It is OK to error out in that case.
>
> Without it, SVN and CVS would fail as well (since they don't implement 'find-ignore-file').
Sorry, not a discussion point for Emacs 27. Let's pick it up later.
>
>>> I think the patch is compatible with those. At least with the SVN one (vc-cvs-ignore might need a little work).
>>>
>>> Have you tried this patch with SVN? Is there a particular scenario where it fails?
>> No, it should not. CVS is now also patched, so it will no longer fail.
>
> Cool. Thank you. I have now pushed the patch to emacs-27.
>
> Please let us know if you see any unexpected problems.
OK, here is one: Since vc-default-ignore no longer normalizes the
relative file names, vc-dir-ignore should do the entire processing,
just as vc-ignore in interactive mode does.

When calling vc-dir with a sub-directory of the repository root, the
relative file names against default-directory are not equivalent to
the relative file names against the root. I.e., the file names written
to the root ignore file are wrong.
>> What will be the time frame for starting Emacs 28 topics?
>
> Since the discussion of vc-ignore in Emacs 27 seems finished, we can go on ahead with that right now.
Good.